#-----------------------------------------------------------------------------#
#                                                                             #
# Program to interface with all external help files from the VDS IDE.         #
#                                                                             #
# Author: tdk161 (modified by Jan Roza)                                       #
#                                                                             #
#-----------------------------------------------------------------------------#

TITLE External Help

  #INCLUDE TblCtrl.dsu

  #RESOURCE ADD,BITMAP,Exit.bmp
  #RESOURCE ADD,BITMAP,Add.bmp
  #RESOURCE ADD,BITMAP,Delete.bmp
  #RESOURCE ADD,BITMAP,Hlp_2.bmp

  DIALOG CREATE,Vds External Help Files,-1,0,250,300,SMALLCAP,SAVEPOS,ONTOP,NOSYS
  DIALOG ADD,TABLE,HlpList,10,8,206,282,Help File Description[185]| [1],,COLUMNSORT,DBLCLICK
  DIALOG ADD,BITBTN,Add,34,215,32,32,#Add.bmp,,Add external help-file to the list
  DIALOG ADD,BITBTN,Delete,67,215,32,32,#Delete.BMP,,Delete selected help-file from the list
  DIALOG ADD,BITBTN,Exit,259,215,32,32,#Exit.BMP,,Exit External Help Files List
  DIALOG SHOW
  
  REM Load datafile if it exists
  IF @FILE(@PATH(%0)Vehf.dat)
    LIST CREATE,1,SORTED 
    LIST LOADFILE,1,@Path(%0)Vehf.dat

    REM Now fill Table HlpList from List 1 and add help icons to each item
    LIST SEEK,1,0
    
    %%Counter = 0
    REPEAT
      LIST ADD,HlpList,@ITEM(1,%%Counter)|#Hlp_2.bmp
      %%Counter = @SUCC(%%Counter) 
    UNTIL @EQUAL(%%Counter,@COUNT(1))
  END
  
:Loop
  IF @ZERO(@COUNT(HlpList))
     DIALOG DISABLE,Delete
  ELSE
     DIALOG ENABLE,Delete
  END

  WAIT Event
  %t = @EVENT()
  GOTO %t
 
:HlpListDblClick
  SHELL OPEN,@ITEM(HlpList,,1) 
  GOTO Loop
  
:HlpListClick 
  GOTO Loop
  
:AddButton
  %%FileHlp = @FILEDLG(Help File|*.hlp|Chm File|*.chm,Help File,,Open File)
 
  IF %%FileHlp
     %%Desc = @INPUT(Help Description for @NAME(%%FileHlp).@EXT(%%FileHlp),@NAME(%%FileHlp))
     
     IF @NOT(@NULL(%%Desc))
        LIST ADD,HlpList,%%Desc@TAB()%%FileHlp|#Hlp_2.bmp 
        LIST SAVEFILE,HlpList,@PATH(%0)Vehf.dat
     END
  END

  GOTO Loop  

:DeleteButton
  If @ASK(Confirm deletion of @ITEM(HlpList,,0)?)
    LIST DELETE,HlpList
    LIST SAVEFILE,HlpList,@PATH(%0)Vehf.dat
  END
  
  GOTO Loop      
  
:Close
:ExitButton
  STOP
